Package ghidra.app.util.bin.format.ne

# Class ResourceType

java.lang.Object
ghidra.app.util.bin.format.ne.ResourceType

public class ResourceType extends Object
An implementation of the TTYPEINFO structure.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `RT_ACCELERATOR`
  Constant indicating an accelerator resource type.
  `static final short`
  `RT_BITMAP`
  Constant indicating bitmap resource type.
  `static final short`
  `RT_CURSOR`
  Constant indicating cursor resource type.
  `static final short`
  `RT_DIALOG`
  Constant indicating dialog resource type.
  `static final short`
  `RT_FONT`
  Constant indicating font resource type.
  `static final short`
  `RT_FONTDIR`
  Constant indicating font directory resource type.
  `static final short`
  `RT_GROUP_CURSOR`
  Constant indicating cursor group resource type.
  `static final short`
  `RT_GROUP_ICON`
  Constant indicating icon group resource type.
  `static final short`
  `RT_ICON`
  Constant indicating icon resource type.
  `static final short`
  `RT_MENU`
  Constant indicating menu resource type.
  `static final short`
  `RT_MESSAGETABLE`
  Constant indicating message table resource type.
  `static final short`
  `RT_RCDATA`
  Constant indicating RC data resource type.
  `static final short`
  `RT_STRING`
  Constant indicating string resource type.
  `static final byte`
  `RT_VERSION`
  Constant indicating version resource type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getCount()`
  Returns the number of resources of this type.
  `int`
  `getReserved()`
  Returns the reserved value (purpose is unknown).
  `Resource[]`
  `getResources()`
  Returns the array of resources of this type.
  `short`
  `getTypeID()`
  Returns the resource type ID.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RT_CURSOR

    public static final short RT_CURSOR
    Constant indicating cursor resource type.
    See Also:
      - Constant Field Values

  - ### RT_BITMAP

    public static final short RT_BITMAP
    Constant indicating bitmap resource type.
    See Also:
      - Constant Field Values

  - ### RT_ICON

    public static final short RT_ICON
    Constant indicating icon resource type.
    See Also:
      - Constant Field Values

  - ### RT_MENU

    public static final short RT_MENU
    Constant indicating menu resource type.
    See Also:
      - Constant Field Values

  - ### RT_DIALOG

    public static final short RT_DIALOG
    Constant indicating dialog resource type.
    See Also:
      - Constant Field Values

  - ### RT_STRING

    public static final short RT_STRING
    Constant indicating string resource type.
    See Also:
      - Constant Field Values

  - ### RT_FONTDIR

    public static final short RT_FONTDIR
    Constant indicating font directory resource type.
    See Also:
      - Constant Field Values

  - ### RT_FONT

    public static final short RT_FONT
    Constant indicating font resource type.
    See Also:
      - Constant Field Values

  - ### RT_ACCELERATOR

    public static final short RT_ACCELERATOR
    Constant indicating an accelerator resource type.
    See Also:
      - Constant Field Values

  - ### RT_RCDATA

    public static final short RT_RCDATA
    Constant indicating RC data resource type.
    See Also:
      - Constant Field Values

  - ### RT_MESSAGETABLE

    public static final short RT_MESSAGETABLE
    Constant indicating message table resource type.
    See Also:
      - Constant Field Values

  - ### RT_GROUP_CURSOR

    public static final short RT_GROUP_CURSOR
    Constant indicating cursor group resource type.
    See Also:
      - Constant Field Values

  - ### RT_GROUP_ICON

    public static final short RT_GROUP_ICON
    Constant indicating icon group resource type.
    See Also:
      - Constant Field Values

  - ### RT_VERSION

    public static final byte RT_VERSION
    Constant indicating version resource type.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getTypeID

    public short getTypeID()
    Returns the resource type ID.
    Returns:
      the resource type ID

  - ### getCount

    public short getCount()
    Returns the number of resources of this type.
    Returns:
      the number of resources of this type

  - ### getReserved

    public int getReserved()
    Returns the reserved value (purpose is unknown).
    Returns:
      the reserved value

  - ### getResources

    public Resource[] getResources()
    Returns the array of resources of this type.
    Returns:
      the array of resources of this type

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    See Also:
      - `Object.toString()`